CON
  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000

VAR

  long  PropGFXInserted    

OBJ
  Lite     : "GFX_BINARY_Databus"

PUB Main | i,ocnt

  repeat

    PropGFXInserted:=0
    Lite.PropGFX_Start
    if(Lite.PropGFX_TestValid<>0)
      Lite.GetID
      PropGFXInserted:=Lite.RequestIDVersion
     
    if PropGFXInserted

      do_demo
      return


PUB do_demo | i,x,y  


  Lite.SetBasicMode(Lite#PROPGFX_NTSC,Lite#PROPGFX_8BIT_BITMAP_MODE,Lite#PROPGFX_1_3D_COGS,Lite#PROPGFX_FILLED_MODE,0)

  Lite.Set16ColourSprites
  
  'Load Sprite buffer
  Lite.SendBuf(@sprite_images,$5000,$1000)              ' $1000 = 4096 bytes 
  Lite.SendBuf(@sprite_pal,$1700,$100)                  ' $ 100 = 256 bytes per palette

  'Load 128x96 8 Bit bitmap
  Lite.sendbuf(@Screen,Lite#PROPGFX_BITMAP_BASE,$3000)  ' $3000 = 12228 Bytes = 128x96x8Bit
  Lite.sendbuf(@Palette,Lite#PROPGFX_CHRPAL_BASE,$100)  ' $ 100 = 256 bytes per palette
  
  x := 0
  y := 0

  Repeat
  
    Repeat i from 0 to 3
     
      Lite.SetSprite(0,x,y,0,i*2)
      Lite.SetSprite(1,x,y+15,0,(i*2)+64)
      Lite.SetSprite(2,x,y+160,0,i*2)
      Lite.SetSprite(3,x,y+175,0,(i*2)+64)
      x+=5
      if x > 256
       x:= -16
      waitcnt(clkfreq/10+cnt)
  
 
DAT

sprite_images file      "mariospr.chr"          ' 4K Bitmap File
sprite_pal    file      "mariospr.pal"          ' 256 Byte File
Screen        file      "dredd128x96.bit"       ' 12K Bitmap File     
Palette       File      "dredd128x96.pal"       ' 256 Byte File      
